###########################################################################
#
# win32 makefile -- getgw
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999-2008  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

COMMON_DIR = ..
!IF "$(GSDLHOME)"==""
GSDLHOME = ..\..
!ELSE
GSDLHOME = $(GSDLHOME)
!ENDIF

GSDL_VC4 = 0
LOCAL_LIBRARY = 0
DEBUG = 0
DLL = 0
DLLDEBUG = 0


all:
	if not exist "$(GSDLHOME)\cgi-bin\windows" mkdir "$(GSDLHOME)\cgi-bin\windows" 
	for %%i in ("$(COMMON_DIR)\cgi-bin") do copy %%i "$(GSDLHOME)\cgi-bin\windows\."
	for %%i in (Makefile.in Makefile win32.mak) do if exist "$(GSDLHOME)\cgi-bin\windows\%%i" del "$(GSDLHOME)\cgi-bin\windows\%%i"	

clean:
	if exist "$(GSDLHOME)\cgi-bin\windows" rmdir /S "$(GSDLHOME)\cgi-bin\windows"

install:
